-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS wastes (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL,
    price INT NOT NULL,
    amount FLOAT NOT NULL,
    budget_id INT REFERENCES budgets(id) ON DELETE CASCADE,
    category_id INT REFERENCES categories(id) ON DELETE RESTRICT,
    created_at TIMESTAMP
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS wastes;
-- +goose StatementEnd
А